<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Components</title>

	<!-- Bootstrap Dependencies -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<body>

			<!-- Navbar Start -->
			<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		  <a class="navbar-brand" href="#">Ada Lovelace</a>
		  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
		    <span class="navbar-toggler-icon"></span>
		  </button>
		  <div class="collapse navbar-collapse" id="navbarNav">
		  	<!-- ml-auto class will push all nav links to the right side -->
		    <ul class="navbar-nav ml-auto">
		      <li class="nav-item active">
		        <a class="nav-link" href="#">About Me<span class="sr-only">(current)</span></a>
		      </li>
		      <li class="nav-item">
		        <a class="nav-link" href="#">Projects</a>
		      </li>
		      <li class="nav-item">
		        <a class="nav-link disabled">Tools</a>
		      </li>
		    </ul>
		  </div>
		</nav>
		<!-- End of Navbar -->

		<!-- Main Content Start -->
		<div class="container-fluid text-center">
			<div class="row">
				
				<!-- Side Navbar Section Start -->
				<div class="card col-xl-2 d-none d-xl-block p-0" id="accordionExample">
					<!-- Services Section Start -->
					<div class="accordion" id="accordionExample">	
						  <div class="card">
						    <div class="card-header" id="headingOne">
						      <h2 class="mb-0">
						        <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
						          Services
						        </button>
						      </h2>
						    </div>

						    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
						      <div class="card-body">
						        <ul class="text-justify" style="list-style: none;">
						        	<li><a href="#">Frontend Design</a></li>
						        	<li><a href="#">Backend Server</a></li>
						        	<li><a href="#">Full Stack Development</a></li>
						        </ul>
						    </div>    
					      </div>
					    </div>
					  <!-- End of Serviices Section -->

					  <!-- Projects Section Start -->
					  <div class="card">
					    <div class="card-header" id="headingTwo">
					      <h2 class="mb-0">
					        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
					          Projects
					        </button>
					      </h2>
					    </div>
					    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
					      <div class="card-body">
					        <ul class="text-justify" style="list-style: none;">
					        	<li><a href="#">HTML</a></li>
					        	<li><a href="#">Bootstrap</a></li>
					        	<li><a href="#">Node JS Server</a></li>
					        </ul>
					      </div>
					    </div>
					  </div>
					  <!-- End of Project Section -->

					  <!-- Tools Section Start -->
					  <div class="card">
					    <div class="card-header" id="headingThree">
					      <h2 class="mb-0">
					        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
					          Tools
					        </button>
					      </h2>
					    </div>
					    <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
					      <div class="card-body">
					        <ul class="text-justify" style="list-style: none;">
					        	<li><a href="#">Core Tools</a></li>
					        	<li><a href="#">Other Tools</a></li>
					        </ul>
					      </div>
					    </div>
					  </div>
					</div>
				</div>
				<!-- End of Tools Section -->
				<!-- End of Side Navbar -->

				<!-- Side Content Section Start -->
				<div class="col-xl-10 p-0">
					<!-- Profile Section Start -->
					<div class="container-fluid bg-dark text-light min-vh100 p-3 p-md-5">
						<img class="mt-5 mt-md-0 rounded-circle width-100 height-100" src="./images/ada.jpg">
						<h1>Ada Lovelace</h1>
						<h3>Full-Stack Developer</h3>
						<div class="row mt-5">
							<div class="offset-md-2 col-md-8">
								<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
								tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
							</div>
						</div>
					</div>
					<!-- End of Profile Section -->

					<!-- Carousel Section Start -->
					<div class="row d-none d-md-block mt-md-5">
						<div class="offset-xl-3 col-xl-6">
							<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
							  <ol class="carousel-indicators">
							    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
							    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
							    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
							  </ol>
							  <div class="carousel-inner">
							    <div class="carousel-item active">
							      <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
							      <div class="carousel-caption d-none d-md-block">
							        <h5>Puppies!</h5>
							        <p>Unlimitted supply of puppy eyes!</p>
							      </div>
							    </div>
							    <div class="carousel-item">
							      <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
							      <div class="carousel-caption d-none d-md-block">
							        <h5>Kitties!</h5>
							        <p>Cuteness overload!</p>
							      </div>
							    </div>
							    <div class="carousel-item">
							      <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
							      <div class="carousel-caption d-none d-md-block">
							        <h5>Fluffy Bears!</h5>
							        <p>Deepest layer of fluff!</p>
							      </div>
							    </div>
							  </div>
							  <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
							    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
							    <span class="sr-only">Previous</span>
							  </button>
							  <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
							    <span class="carousel-control-next-icon" aria-hidden="true"></span>
							    <span class="sr-only">Next</span>
							  </button>
							</div>
							
						</div>
					</div>
					<!-- End of Carousel -->

					<!-- Other Projects Section Start -->
					<div class="d-lg-flex justify-content-center bg-secondary text-dark min-vh-100 p-md-5 m-2">

						<!-- HTML Card Start -->
						<div class="card bg-dark text-light col-xl-4 m-3 p-2" style="width: 18rem;">
						  <img src="./images/html.jpg" class="card-img-top" alt="...">
						  <div class="card-body">
						    <h5 class="card-title">HTML</h5>
						    <h6 class="card-subtitle text-muted mb-2">Programming Basics</h6>
						    <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
								tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
						    <a href="#" class="btn btn-primary">Link to Project</a>
						  </div>
						</div>
						<!-- End of HTML Card -->
						<!-- Bootstrap Card Start -->
						<div class="card bg-dark text-light col-xl-4 m-3 p-2" style="width: 18rem;">
						  <img src="./images/bootstrap-illustration.png" class="card-img-top" alt="...">
						  <div class="card-body">
						    <h5 class="card-title">Bootstrap</h5>
						    <h6 class="card-subtitle text-muted mb-2">Bootstrap</h6>
						    <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
								tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
						    <a href="#" class="btn btn-primary">Link to Project</a>
						  </div>
						</div>
						<!-- End of Bootstrap Card -->
						<!-- Node JS Card Start -->
						<div class="card bg-dark text-light col-xl-4 m-3 p-2" style="width: 18rem;">
						  <img src="./images/nodejs.png" class="card-img-top" alt="...">
						  <div class="card-body">
						    <h5 class="card-title">Node JS Server</h5>
						    <h6 class="card-subtitle text-muted mb-2">Node JS Server</h6>
						    <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
								tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
						    <a href="#" class="btn btn-primary">Link to Project</a>
						  </div>
						</div>
						<!-- End of JS Card Start -->
					</div>
					<!-- End of Other Projects Section -->

					<!-- Contact Me Form Start -->
					<div class="container-fluid bg-dark text-white d-flex flex-column justify-content-center align-items-center p-5">
						<h2>Contact Me</h2>	
						<div class="col-12 col-md-8 col-xl-4 bg-primary p-3">
							<form>
								<!-- Name Start -->
								<div class="form-group">
								  <label for="name">Name</label>
								  <input type="text" class="form-control" id="name" placeholder="Your Name" required>
								</div>
								<!-- End of Name -->

								<!-- Email Start -->
							  <div class="form-group">
							    <label for="exampleInputEmail1">Email address</label>
							    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="name@example.com" required>
							  </div>
							  <!-- End of Email -->

							  <!-- Contact Number Start -->
							  <div class="form-group">
							    <label for="exampleInputContactNumber">Contact Number</label>
							    <input type="number" class="form-control" id="exampleInputContactNumber" placeholder="+63 900 000 0000" required>
							  </div>
							  <!-- End of Contact Number -->

							  <!-- Concern Start -->
							  <div class="form-group">
							    <label for="exampleSelectConcern01">Concern</label>
							    <select class="form-control" id="concern" required>
							    	<option>Quotation</option>
							    	<option>Appointment</option>
							    	<option>Follow up</option>
							    	<option>Just wanted to say Hi!</option>
							    </select>
							  </div>
							  <!-- End of Concern -->

							  <!-- Message Start -->
							  <div class="form-group">
							    <label for="message">Message</label>
							    <textarea class="form-control" id="messageTextArea" placeholder="Type your message here" rows="5"></textarea>
							  </div>
							  <!-- End of Message -->

							  <!-- Send Email Button Start (Modal Trigger Button) -->
							  <button type="submit" class="btn btn-primary bg-dark text light" data-toggle="modal" data-target=#contactMeModal>Send Email</button>
							  <!-- End of Send Email Button (Modal Trigger Button) -->

							</form>
							
						</div>
					</div>
					<!-- End of Contact Me Form -->
					
					<!-- Modal Start -->
					<div class="modal fade" id="contactMeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
					  <div class="modal-dialog">
					    <div class="modal-content">
					      <div class="modal-header">
					        <h5 class="modal-title" id="exampleModalLabel">Thank you for contacting us!</h5>
					        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					          <span aria-hidden="true">&times;</span>
					        </button>
					      </div>
					      <div class="modal-body" text-center>
					        Message Successfully Sent!
					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
					      </div>
					    </div>
					  </div>
					</div>



					<!-- End of Modal -->









				</div>
				<!-- End of Side Content Section -->

			</div>
		</div>


	<!-- Bootstrap Script -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
</body>
</html>